#!/usr/bin/env python
#
# This used to crash
#
import coral
L = coral.meta.UML14
c = L.Class()
try:
    c.stereotype.add("foo")
except RuntimeError, e:
    assert str(e).find("invalid_argument: slot stereotype cannot contain primitive values") != -1
